Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wtc.jatmi
Class TPException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.wtc.jatmi.TPException

Direct Known Subclasses:
  TPReplyException

public class TPException
extends java.lang.Exception
implements java.io.Serializable

This class is the exception that represents a TPException failure

Author:
  BEA Systems, Inc.
See Also:
  Serialized Form

Field Summary
`static int` | `QMEABORTED` Diagnostic for aborted transaction
`static int` | `QMEBADMSGID` Diagnostic for invalid message id
`static int` | `QMEBADQUEUE` Diagnostic for invalid queue
`static int` | `QMEBADRMID` Diagnostic for bad RM information
`static int` | `QMEINUSE` Diagnostic for the queue being in use
`static int` | `QMEINVAL` Diagnostic for invalid queue name
`static int` | `QMEINVHANDLE` Diagnostic for an invalid handle
`static int` | `QMENOMSG` Diagnostic for no message available
`static int` | `QMENOSPACE` Diagnostic for no space available in the queue
`static int` | `QMENOTOPEN` Diagnostic for the queue space not being opened
`static int` | `QMEOS` Diagnostic for operating system error
`static int` | `QMEPROTO` Diagnostic for protocol error
`static int` | `QMERELEASE` Diagnostic for invalid Tuxedo release
`static int` | `QMESHARE` Diagnostic for attempted use of non-shared queue
`static int` | `QMESYSTEM` Diagnostic for system error
`static int` | `QMETRAN` Diagnostic for invalid transaction
`static int` | `QMNONE` No diagnostic
`static int` | `TPEABORT` Transaction has aborted
`static int` | `TPEBADDESC` Invalid descriptor
`static int` | `TPEBLOCK` Call would have blocked
`static int` | `TPED_CLIENTDISCONNECTED` The client is not connected
`static int` | `TPED_DECRYPTION_FAILURE` decryption failure
`static int` | `TPED_DOMAINUNREACHABLE` The remote domain was unreachable
`static int` | `TPED_INVALID_CERTIFICATE` Invalid security certificate
`static int` | `TPED_INVALID_SIGNATURE` Invalid security signature
`static int` | `TPED_INVALID_XA_TRANSACTION` NO_XA option set but transaction attempted
`static int` | `TPED_INVALIDCONTEXT` Context terminated by another thread
`static int` | `TPED_NOCLIENT` The requested client does not exist
`static int` | `TPED_NOUNSOLHANDLER` The client did not have an installed handler
`static int` | `TPED_OTS_INTERNAL` Object Transaction System internal error
`static int` | `TPED_PERM` No permission for the operation
`static int` | `TPED_SVCTIMEOUT` The service timed out
`static int` | `TPED_TERM` The service was terminated
`static int` | `TPEDIAGNOSTIC` A diagnostic value is available
`static int` | `TPEEVENT` The conversation had an even occur
`static int` | `TPEHAZARD` The transaction had a hazard heuristic performed
`static int` | `TPEHEURISTIC` The transaction has a heuristic performed
`static int` | `TPEINVAL` Invalid input parameter
`static int` | `TPEITYPE` An invlid type was sent to a service
`static int` | `TPELIMIT` A system limit has been reached
`static int` | `TPEMATCH` No matches for the given filter were found
`static int` | `TPEMIB` A MIB error occurred
`static int` | `TPENOENT` The requested entity does not exist
`static int` | `TPEOS` An operating system has occurred
`static int` | `TPEOTYPE` An invlid type was sent to a service
`static int` | `TPEPERM` An permissions error has occurred
`static int` | `TPEPROTO` Method called in an invalid context
`static int` | `TPERELEASE` Invalid release for attempted operation
`static int` | `TPERMERR` Resource manager error
`static int` | `TPESVCERR` The service returned and error code
`static int` | `TPESVCFAIL` The service failed
`static int` | `TPESYSTEM` A generice system error occurred
`static int` | `TPETIME` A timeout occurred
`static int` | `TPETRAN` Called in a invalid transaction context
`static int` | `TPEV_DISCONIMM` Disconnect imminent
`static int` | `TPEV_SENDONLY` Switch to send-only mode
`static int` | `TPEV_SVCERR` Service error
`static int` | `TPEV_SVCFAIL` Service fail
`static int` | `TPEV_SVCSUCC` Service succeeded!
`static int` | `TPGOTSIG` Got a signal
`static int` | `TPMINVAL`

Constructor Summary
`TPException()` The default constructor leaves all errno values set to 0
`TPException(int tperrno)` This constructor sets the tperrno value
`TPException(int tperrno, int Uunixerr, int tpurcode, int tperrordetail)` This constructor set all of the errno values
`TPException(int tperrno, int Uunixerr, int tpurcode, int tperrordetail, int diagnostic)` This constructor set all of the errno values
`TPException(int tperrno, int Uunixerr, int tpurcode, int tperrordetail, int diagnostic, int revent)` This constructor set all of the errno values
`TPException(int tperrno, int Uunixerr, int tpurcode, int tperrordetail, Reply aRplyRtn)` This constructor set all of the errno values
`TPException(int tperrno, int Uunixerr, int tpurcode, int tperrordetail, java.lang.String expl)` This constructor set all of the errno values and an explanation string
`TPException(int tperrno, java.lang.String explain)` This constructor sets the tperrno value and an explanation string

Method Summary
`int` | `getdiagnostic()` Gets the queue diagnostic associated with this exception.
`Reply` | `getReplyRtn()` Gets the data that goes along with this service failure
`int` | `getrevent()` Gets the conversation event associated with this exception.
`int` | `gettperrno()` Gets the tperrno number associated with this exception
`int` | `gettperrordetail()` Gets the tperrordetail associated with this exception
`int` | `gettpurcode()` Gets the tpurcode associated with this exception
`int` | `getUunixerr()` Gets the Uunixerr number associated with this exception
`java.lang.String` | `toString()` Prints the exception in the following manner: [explanation:]tperrno:Uunixerr:tpurcode:tperrordetail:diagnostic
`static java.lang.String` | `tpstrerror(int errno)` Returns a string version of the tperrno error number given
`static java.lang.String` | `tpstrerrordetail(int errno)` Returns a string version of the tperrordetail error number given

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TPMINVAL

    public static final int TPMINVAL

### TPEABORT

    public static final int TPEABORT

  Transaction has aborted

### TPEBADDESC

    public static final int TPEBADDESC

  Invalid descriptor

### TPEBLOCK

    public static final int TPEBLOCK

  Call would have blocked

### TPEINVAL

    public static final int TPEINVAL

  Invalid input parameter

### TPELIMIT

    public static final int TPELIMIT

  A system limit has been reached

### TPENOENT

    public static final int TPENOENT

  The requested entity does not exist

### TPEOS

    public static final int TPEOS

  An operating system has occurred

### TPEPERM

    public static final int TPEPERM

  An permissions error has occurred

### TPEPROTO

    public static final int TPEPROTO

  Method called in an invalid context

### TPESVCERR

    public static final int TPESVCERR

  The service returned and error code

### TPESVCFAIL

    public static final int TPESVCFAIL

  The service failed

### TPESYSTEM

    public static final int TPESYSTEM

  A generice system error occurred

### TPETIME

    public static final int TPETIME

  A timeout occurred

### TPETRAN

    public static final int TPETRAN

  Called in a invalid transaction context

### TPGOTSIG

    public static final int TPGOTSIG

  Got a signal

### TPERMERR

    public static final int TPERMERR

  Resource manager error

### TPEITYPE

    public static final int TPEITYPE

  An invlid type was sent to a service

### TPEOTYPE

    public static final int TPEOTYPE

  An invlid type was sent to a service

### TPERELEASE

    public static final int TPERELEASE

  Invalid release for attempted operation

### TPEHAZARD

    public static final int TPEHAZARD

  The transaction had a hazard heuristic performed

### TPEHEURISTIC

    public static final int TPEHEURISTIC

  The transaction has a heuristic performed

### TPEEVENT

    public static final int TPEEVENT

  The conversation had an even occur

### TPEMATCH

    public static final int TPEMATCH

  No matches for the given filter were found

### TPEDIAGNOSTIC

    public static final int TPEDIAGNOSTIC

  A diagnostic value is available

### TPEMIB

    public static final int TPEMIB

  A MIB error occurred

### TPED_SVCTIMEOUT

    public static final int TPED_SVCTIMEOUT

  The service timed out

### TPED_TERM

    public static final int TPED_TERM

  The service was terminated

### TPED_NOUNSOLHANDLER

    public static final int TPED_NOUNSOLHANDLER

  The client did not have an installed handler

### TPED_NOCLIENT

    public static final int TPED_NOCLIENT

  The requested client does not exist

### TPED_DOMAINUNREACHABLE

    public static final int TPED_DOMAINUNREACHABLE

  The remote domain was unreachable

### TPED_CLIENTDISCONNECTED

    public static final int TPED_CLIENTDISCONNECTED

  The client is not connected

### TPED_PERM

    public static final int TPED_PERM

  No permission for the operation

### TPED_OTS_INTERNAL

    public static final int TPED_OTS_INTERNAL

  Object Transaction System internal error

### TPED_INVALID_CERTIFICATE

    public static final int TPED_INVALID_CERTIFICATE

  Invalid security certificate

### TPED_INVALID_SIGNATURE

    public static final int TPED_INVALID_SIGNATURE

  Invalid security signature

### TPED_DECRYPTION_FAILURE

    public static final int TPED_DECRYPTION_FAILURE

  decryption failure

### TPED_INVALIDCONTEXT

    public static final int TPED_INVALIDCONTEXT

  Context terminated by another thread

### TPED_INVALID_XA_TRANSACTION

    public static final int TPED_INVALID_XA_TRANSACTION

  NO_XA option set but transaction attempted

### QMNONE

    public static final int QMNONE

  No diagnostic

### QMEINVAL

    public static final int QMEINVAL

  Diagnostic for invalid queue name

### QMEBADRMID

    public static final int QMEBADRMID

  Diagnostic for bad RM information

### QMENOTOPEN

    public static final int QMENOTOPEN

  Diagnostic for the queue space not being opened

### QMETRAN

    public static final int QMETRAN

  Diagnostic for invalid transaction

### QMEBADMSGID

    public static final int QMEBADMSGID

  Diagnostic for invalid message id

### QMESYSTEM

    public static final int QMESYSTEM

  Diagnostic for system error

### QMEOS

    public static final int QMEOS

  Diagnostic for operating system error

### QMEABORTED

    public static final int QMEABORTED

  Diagnostic for aborted transaction

### QMEPROTO

    public static final int QMEPROTO

  Diagnostic for protocol error

### QMEBADQUEUE

    public static final int QMEBADQUEUE

  Diagnostic for invalid queue

### QMENOMSG

    public static final int QMENOMSG

  Diagnostic for no message available

### QMEINUSE

    public static final int QMEINUSE

  Diagnostic for the queue being in use

### QMENOSPACE

    public static final int QMENOSPACE

  Diagnostic for no space available in the queue

### QMERELEASE

    public static final int QMERELEASE

  Diagnostic for invalid Tuxedo release

### QMEINVHANDLE

    public static final int QMEINVHANDLE

  Diagnostic for an invalid handle

### QMESHARE

    public static final int QMESHARE

  Diagnostic for attempted use of non-shared queue

### TPEV_DISCONIMM

    public static final int TPEV_DISCONIMM

  Disconnect imminent

### TPEV_SVCERR

    public static final int TPEV_SVCERR

  Service error

### TPEV_SVCFAIL

    public static final int TPEV_SVCFAIL

  Service fail

### TPEV_SVCSUCC

    public static final int TPEV_SVCSUCC

  Service succeeded!

### TPEV_SENDONLY

    public static final int TPEV_SENDONLY

  Switch to send-only mode

Constructor Detail

### TPException

    public TPException()

  The default constructor leaves all errno values set to 0

### TPException

    public TPException(int tperrno)

  This constructor sets the tperrno value

  Parameters:
    `tperrno` - The tperrno value

### TPException

    public TPException(int tperrno,
                       java.lang.String explain)

  This constructor sets the tperrno value and an explanation string

  Parameters:
    `tperrno` - The tperrno value
    `explain` - A text explanation for the error

### TPException

    public TPException(int tperrno,
                       int Uunixerr,
                       int tpurcode,
                       int tperrordetail)

  This constructor set all of the errno values

  Parameters:
    `tperrno` - The tperrno value
    `Uunixerr` - The Uunixerr value
    `tpurcode` - The tpurcode value
    `tperrordetail` - The tperrordetail value

### TPException

    public TPException(int tperrno,
                       int Uunixerr,
                       int tpurcode,
                       int tperrordetail,
                       Reply aRplyRtn)

  This constructor set all of the errno values

  Parameters:
    `tperrno` - The tperrno value
    `Uunixerr` - The Uunixerr value
    `tpurcode` - The tpurcode value
    `tperrordetail` - The tperrordetail value
    `aRplyRtn` - The reply object

### TPException

    public TPException(int tperrno,
                       int Uunixerr,
                       int tpurcode,
                       int tperrordetail,
                       int diagnostic)

  This constructor set all of the errno values

  Parameters:
    `tperrno` - The tperrno value
    `Uunixerr` - The Uunixerr value
    `tpurcode` - The tpurcode value
    `tperrordetail` - The tperrordetail value
    `diagnostic` - The diagnostic value

### TPException

    public TPException(int tperrno,
                       int Uunixerr,
                       int tpurcode,
                       int tperrordetail,
                       int diagnostic,
                       int revent)

  This constructor set all of the errno values

  Parameters:
    `tperrno` - The tperrno value
    `Uunixerr` - The Uunixerr value
    `tpurcode` - The tpurcode value
    `tperrordetail` - The tperrordetail value
    `diagnostic` - The diagnostic value
    `revent` - The conversational event which occurred

### TPException

    public TPException(int tperrno,
                       int Uunixerr,
                       int tpurcode,
                       int tperrordetail,
                       java.lang.String expl)

  This constructor set all of the errno values and an explanation string

  Parameters:
    `tperrno` - The tperrno value
    `Uunixerr` - The Uunixerr value
    `tpurcode` - The tpurcode value
    `tperrordetail` - The tperrordetail value
    `expl` - A text explanation string

Method Detail

### gettperrno

    public int gettperrno()

  Gets the tperrno number associated with this exception

  Returns:
    tperrno

### getUunixerr

    public int getUunixerr()

  Gets the Uunixerr number associated with this exception

  Returns:
    Uunixerr

### gettpurcode

    public int gettpurcode()

  Gets the tpurcode associated with this exception

  Returns:
    tpurcode

### gettperrordetail

    public int gettperrordetail()

  Gets the tperrordetail associated with this exception

  Returns:
    tperrordetail

### getdiagnostic

    public int getdiagnostic()

  Gets the queue diagnostic associated with this exception. This value will only have meaning if tperrno is set to TPEDIAGNOSTIC

  Returns:
    diagnostic

### getrevent

    public int getrevent()

  Gets the conversation event associated with this exception. This value will only have meaning if tperrno is set to TPEEVENT

  Returns:
    revent

### getReplyRtn

    public Reply getReplyRtn()

  Gets the data that goes along with this service failure

  Returns:
    The data that goes along with this exception

### tpstrerror

    public static java.lang.String tpstrerror(int errno)

  Returns a string version of the tperrno error number given

  Parameters:
    `errno` - The tperrno for which to get a string representation
  Returns:
    A string version of the tperrno given

### tpstrerrordetail

    public static java.lang.String tpstrerrordetail(int errno)

  Returns a string version of the tperrordetail error number given

  Parameters:
    `errno` - The tperrordetail for which to get a string representation
  Returns:
    A string version of the tperrordetail given

### toString

    public java.lang.String toString()

  Prints the exception in the following manner: [explanation:]tperrno:Uunixerr:tpurcode:tperrordetail:diagnostic

  Overrides:
    toString in class java.lang.Throwable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference